%define  upstream_name Authentication
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.3.1
Release:	%mkrel 1
Summary:	The purpose of the Authentication component is to provide support for different
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.5.2
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
A set of classes to do different actions with the console (also called
shell).
It can render a progress bar, tables and a status bar and contains a class
for
parsing command line options.


%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Authentication.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Authentication.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Authentication
fi

%files
%defattr(-,root,root)
%doc docs/Authentication/*
%{peardir}/data/Authentication/design/class_diagram.png
%{peardir}/data/Authentication/design/design.txt
%{peardir}/data/Authentication/design/requirements.txt
%{peardir}/ezc/Authentication/authentication.php
%{peardir}/ezc/Authentication/authentication_autoload.php
%{peardir}/ezc/Authentication/credentials/credentials.php
%{peardir}/ezc/Authentication/credentials/id_credentials.php
%{peardir}/ezc/Authentication/credentials/password_credentials.php
%{peardir}/ezc/Authentication/exceptions/authentication_exception.php
%{peardir}/ezc/Authentication/exceptions/group_exception.php
%{peardir}/ezc/Authentication/exceptions/ldap_exception.php
%{peardir}/ezc/Authentication/exceptions/openid_exception.php
%{peardir}/ezc/Authentication/exceptions/openid_mode_exception.php
%{peardir}/ezc/Authentication/exceptions/openid_redirect_exception.php
%{peardir}/ezc/Authentication/exceptions/typekey_exception.php
%{peardir}/ezc/Authentication/exceptions/typekey_invalid_exception.php
%{peardir}/ezc/Authentication/exceptions/typekey_missing_exception.php
%{peardir}/ezc/Authentication/filters/group/group_filter.php
%{peardir}/ezc/Authentication/filters/htpasswd/htpasswd_filter.php
%{peardir}/ezc/Authentication/filters/ldap/ldap_filter.php
%{peardir}/ezc/Authentication/filters/ldap/ldap_info.php
%{peardir}/ezc/Authentication/filters/openid/openid_association.php
%{peardir}/ezc/Authentication/filters/openid/openid_file_store.php
%{peardir}/ezc/Authentication/filters/openid/openid_filter.php
%{peardir}/ezc/Authentication/filters/openid/openid_store.php
%{peardir}/ezc/Authentication/filters/token/token_filter.php
%{peardir}/ezc/Authentication/filters/typekey/typekey_filter.php
%{peardir}/ezc/Authentication/interfaces/authentication_filter.php
%{peardir}/ezc/Authentication/interfaces/data_fetch.php
%{peardir}/ezc/Authentication/math/bcmath_library.php
%{peardir}/ezc/Authentication/math/bignum_library.php
%{peardir}/ezc/Authentication/math/gmp_library.php
%{peardir}/ezc/Authentication/math/math.php
%{peardir}/ezc/Authentication/options/authentication_options.php
%{peardir}/ezc/Authentication/options/filter_options.php
%{peardir}/ezc/Authentication/options/group_options.php
%{peardir}/ezc/Authentication/options/htpasswd_options.php
%{peardir}/ezc/Authentication/options/ldap_options.php
%{peardir}/ezc/Authentication/options/openid_file_store_options.php
%{peardir}/ezc/Authentication/options/openid_options.php
%{peardir}/ezc/Authentication/options/openid_store_options.php
%{peardir}/ezc/Authentication/options/session_options.php
%{peardir}/ezc/Authentication/options/token_options.php
%{peardir}/ezc/Authentication/options/typekey_options.php
%{peardir}/ezc/Authentication/session/authentication_session.php
%{peardir}/ezc/Authentication/status/authentication_status.php
%{peardir}/ezc/Authentication/url/url.php
%{peardir}/ezc/autoload/authentication_autoload.php
%{peardir}/ezc/Authentication/exceptions/openid_connection_exception.php
%{xmldir}/Authentication.xml


%changelog
* Tue Jul 19 2011 spuhler <spuhler> 1.3.1-1.mga2
+ Revision: 126217
- upgrade to 1.3.1

* Sat Jul 16 2011 spuhler <spuhler> 1.2.3-1.mga2
+ Revision: 124874
- imported package ezcomponents-Authentication

